% BCALIMITS Bias-Corrected-and-Accelerated  (BCa) (http://onlinelibrary.wiley.com/doi/10.1002/9780470906514.app2/pdf ),
% Para estimar os parmetros reais dunha distribucin das medias da ROC(KLD...) para unha base de datos. Cmo?, dado
% que obtemos 100 medias da medida da ROC para cada base de datos, imos tomar 10000 mostras desas 100 medias e estimar
% o sesgo e a aceleracin desa distribucin de medias (agora como vedes me importa un rbano se os datos son normais ou
% se alexan moito da gaussianidade porque estimamos a forma real da distribucin) e con eses parmetros estimo
% directamente os intervalos de confianza (ou sexa o erro absoluto) ,directamente sobre esa distribucin real, a unha
% determinada probabilidade, p.e. ao 95%.
% NOTA:
% http://stats.stackexchange.com/questions/33300/determining-sample-size-necessary-for-bootstrap-method-proposed-method
function [bootstat,conflimsBCA] = getBCALimits( InputData )

    if(isempty(InputData)||(length(InputData)<=2))
        bootstat=[];
        conflimsBCA=[NaN NaN];
    else
        % Numero de mostrados para facer o bootstrap (Def:10k)
        B=5000;
        [bootstat,~]=bootstrp(B,@mean,InputData);                           % Achamos as medias sobre 10.000 subconxuntos
        conflimsBCA=bootci(B,{@mean,InputData},'alpha',0.05,'type','bca');  % Intervalos de confianza (95%) BCA correxidos 
    end

end
